Bug 1120854 - jars installed to /usr/lib/java because of windows specific appender
Summary: jars installed to /usr/lib/java because of windows specific appender
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4j12
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1121231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:22 UTC by Gerard Ryan
Modified: 2014-09-23 04:47 UTC (History)
2 users (show)

Fixed In Version: log4j12-1.2.17-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:47:22 UTC


Attachments (Terms of Use)
build.log (166.33 KB, text/x-log)
2014-07-23 15:06 UTC, gil cattaneo
no flags Details

Description Gerard Ryan 2014-07-17 21:22:47 UTC
Hi,

I'm not sure if this is considered a bug or not (or even if my information is correct or not).

The jars that this rpm installs are going to /usr/lib/java rather than the usual noarch location /usr/share/java (the location I think they used to be when log4j was at this version).

This is happening because of two calls to System.loadLibrary in src/main/java/org/apache/log4j/nt/NTEventLogAppender.java. This is a file that only makes sense to have on a Microsoft Windows platform, and contains the message:

"<b>WARNING</b> This appender can only be installed and used on a Windows system."

I'm just creating this bug to make sure that you are aware that it's doing that. I don't know if you intend for it to be that way, or if it makes any difference really.

Thanks,
Gerard.

Comment 1 Mikolaj Izdebski 2014-07-18 07:14:32 UTC
Possibly related to bug #1021608.

To see the reason why the JAR is installed to %{_jnidir} can be seen after enabling XMvn debugging output (%mvn_install -X):

[DEBUG] Native method registerEventSource(null) found in /builddir/build/BUILD/log4j-1_2_17/target/log4j-1.2.17.jar: org/apache/log4j/nt/NTEventLogAppender.class

Comment 2 gil cattaneo 2014-07-18 11:22:38 UTC
(In reply to Mikolaj Izdebski from comment #1)
> Possibly related to bug #1021608.
> 
> To see the reason why the JAR is installed to %{_jnidir} can be seen after
> enabling XMvn debugging output (%mvn_install -X):
> 
> [DEBUG] Native method registerEventSource(null) found in
> /builddir/build/BUILD/log4j-1_2_17/target/log4j-1.2.17.jar:
> org/apache/log4j/nt/NTEventLogAppender.class

there are some problems during the build:
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9.1:aggregate (default-cli) on project log4j: Execution default-cli of goal org.apache.maven.plugins:maven-javadoc-plugin:2.9.1:aggregate failed: An API incompatibility was encountered while executing org.apache.maven.plugins:maven-javadoc-plugin:2.9.1:aggregate: java.lang.NoSuchMethodError: org.apache.maven.doxia.siterenderer.sink.SiteRendererSink.<init>(Lorg/apache/maven/doxia/sink/render/RenderingContext;)V

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7161430

Comment 3 Gerard Ryan 2014-07-18 15:56:38 UTC
I got that same error on a build in koji yesterday for a different package:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7160197

Comment 4 Gerard Ryan 2014-07-18 17:20:38 UTC
I've created a bug for that problem against maven-javadoc-plugin and marked it as blocking this.

Comment 5 gil cattaneo 2014-07-23 15:06:06 UTC
Created attachment 920250 [details]
build.log

log4j12-1.2.17-6.fc22
Task Info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7185413
Build Info: http://koji.fedoraproject.org/koji/buildinfo?buildID=545530

Comment 6 Fedora Update System 2014-09-05 16:17:47 UTC
log4j12-1.2.17-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/log4j12-1.2.17-7.fc21

Comment 7 Fedora Update System 2014-09-06 01:02:55 UTC
Package log4j12-1.2.17-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing log4j12-1.2.17-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10263/log4j12-1.2.17-7.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-23 04:47:22 UTC
log4j12-1.2.17-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.